Package be.vlaanderen.mercurius.mohm.common.v7

# Class DecisionApplicationType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.DecisionApplicationType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DecisionApplicationCUType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class DecisionApplicationType extends Object implements Serializable
Generiek type voor de beslissing van een aanvraag in de push naar de verstrekker.

Java class for DecisionApplicationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecisionApplicationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DecisionMobilityToolType"/>
             <element name="BTC" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DecisionBTCType" minOccurs="0"/>
             <element name="SupportAndRepair" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairDecisionType" minOccurs="0"/>
             <element name="DecisionDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationStatusType"/>
             <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="MinDeliveryDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="MaxDeliveryDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="IsAccident" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Procedure" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ProcedureType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionApplicationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DecisionBTCType`
  `getBTC()`
  Groeperend element met informatie over het luik BTC.
  `Instant`
  `getDecisionDate()`
  Datum van de beslissing over de aanvraag.
  `Instant`
  `getMaxDeliveryDate()`
  Grensdatum voor het afleveren van de producten waarvoor een goedkeuring werd gegeven.
  `Instant`
  `getMinDeliveryDate()`
  Minimale datum van aflevering, deze is enkel ingevuld als er nog een ander huurcontract lopend is.
  `DecisionMobilityToolType`
  `getMobilityTool()`
  Groeperend element met informatie over het mobiliteitshulpmiddel en/of aanpassingen.
  `ProcedureType`
  `getProcedure()`
  De procedure die werd gevolgd voor deze aanvraag.
  `ApplicationStatusType`
  `getStatus()`
  Status van de aanvraag: aanvaard, deels aanvaard of geweigerd.
  `Instant`
  `getStatusDate()`
  Datum van de status van de aanvraag.
  `SupportAndRepairDecisionType`
  `getSupportAndRepair()`
  Groeperend element met informatie over het budget onderhoud en herstel.
  `boolean`
  `isIsAccident()`
  Ja/neen veld om aan te geven of het om een ongeval gaat.
  `void`
  `setBTC(DecisionBTCType value)`
  Sets the value of the btc property.
  `void`
  `setDecisionDate(Instant value)`
  Sets the value of the decisionDate property.
  `void`
  `setIsAccident(boolean value)`
  Sets the value of the isAccident property.
  `void`
  `setMaxDeliveryDate(Instant value)`
  Sets the value of the maxDeliveryDate property.
  `void`
  `setMinDeliveryDate(Instant value)`
  Sets the value of the minDeliveryDate property.
  `void`
  `setMobilityTool(DecisionMobilityToolType value)`
  Sets the value of the mobilityTool property.
  `void`
  `setProcedure(ProcedureType value)`
  Sets the value of the procedure property.
  `void`
  `setStatus(ApplicationStatusType value)`
  Sets the value of the status property.
  `void`
  `setStatusDate(Instant value)`
  Sets the value of the statusDate property.
  `void`
  `setSupportAndRepair(SupportAndRepairDecisionType value)`
  Sets the value of the supportAndRepair property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecisionApplicationType

    public DecisionApplicationType()

- ## Method Details

  - ### getMobilityTool

    public DecisionMobilityToolType getMobilityTool()
    Groeperend element met informatie over het mobiliteitshulpmiddel en/of aanpassingen.
    Returns:
      possible object is `DecisionMobilityToolType`

  - ### setMobilityTool

    public void setMobilityTool(DecisionMobilityToolType value)
    Sets the value of the mobilityTool property.
    Parameters:
      `value` - allowed object is `DecisionMobilityToolType`
    See Also:
      - `getMobilityTool()`

  - ### getBTC

    public DecisionBTCType getBTC()
    Groeperend element met informatie over het luik BTC.
    Returns:
      possible object is `DecisionBTCType`

  - ### setBTC

    public void setBTC(DecisionBTCType value)
    Sets the value of the btc property.
    Parameters:
      `value` - allowed object is `DecisionBTCType`
    See Also:
      - `getBTC()`

  - ### getSupportAndRepair

    public SupportAndRepairDecisionType getSupportAndRepair()
    Groeperend element met informatie over het budget onderhoud en herstel.
    Returns:
      possible object is `SupportAndRepairDecisionType`

  - ### setSupportAndRepair

    public void setSupportAndRepair(SupportAndRepairDecisionType value)
    Sets the value of the supportAndRepair property.
    Parameters:
      `value` - allowed object is `SupportAndRepairDecisionType`
    See Also:
      - `getSupportAndRepair()`

  - ### getDecisionDate

    public Instant getDecisionDate()
    Datum van de beslissing over de aanvraag.
    Returns:
      possible object is `String`

  - ### setDecisionDate

    public void setDecisionDate(Instant value)
    Sets the value of the decisionDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDecisionDate()`

  - ### getStatus

    public ApplicationStatusType getStatus()
    Status van de aanvraag: aanvaard, deels aanvaard of geweigerd.
    Returns:
      possible object is `ApplicationStatusType`

  - ### setStatus

    public void setStatus(ApplicationStatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `ApplicationStatusType`
    See Also:
      - `getStatus()`

  - ### getStatusDate

    public Instant getStatusDate()
    Datum van de status van de aanvraag.
    Returns:
      possible object is `String`

  - ### setStatusDate

    public void setStatusDate(Instant value)
    Sets the value of the statusDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStatusDate()`

  - ### getMinDeliveryDate

    public Instant getMinDeliveryDate()
    Minimale datum van aflevering, deze is enkel ingevuld als er nog een ander huurcontract lopend is. Er mag pas afgeleverd worden als dit verstreken is.
    Returns:
      possible object is `String`

  - ### setMinDeliveryDate

    public void setMinDeliveryDate(Instant value)
    Sets the value of the minDeliveryDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMinDeliveryDate()`

  - ### getMaxDeliveryDate

    public Instant getMaxDeliveryDate()
    Grensdatum voor het afleveren van de producten waarvoor een goedkeuring werd gegeven. Indien de aanvraag volledig werd geweigerd, is dit element niet aanwezig.
    Returns:
      possible object is `String`

  - ### setMaxDeliveryDate

    public void setMaxDeliveryDate(Instant value)
    Sets the value of the maxDeliveryDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMaxDeliveryDate()`

  - ### isIsAccident

    public boolean isIsAccident()
    Ja/neen veld om aan te geven of het om een ongeval gaat.

  - ### setIsAccident

    public void setIsAccident(boolean value)
    Sets the value of the isAccident property.

  - ### getProcedure

    public ProcedureType getProcedure()
    De procedure die werd gevolgd voor deze aanvraag.
    Returns:
      possible object is `ProcedureType`

  - ### setProcedure

    public void setProcedure(ProcedureType value)
    Sets the value of the procedure property.
    Parameters:
      `value` - allowed object is `ProcedureType`
    See Also:
      - `getProcedure()`